import { jsx } from "react/jsx-runtime";
import { Club as Club$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Club = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Club", ...props, children: /* @__PURE__ */ jsx(Club$1, { weight: variant }) });
  }
);
Club.displayName = "Club";
Object.assign(Club, { isGdsIcon: true });
export {
  Club
};
